=== db/Makefile ===

### Makefile for the database stuff
POPHOME=/tmp
DATABASE=dummy
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

ALLPROGS=dbaselnx dbasepg dbasedummy dbasemsql dbasemysql
PROGS=dbase$(DATABASE)
all: $(addprefix ../obj/,$(PROGS))

install: all
	cd ../obj; install -o $(OWNER) -g $(GROUP) -m 755 $(PROGS) $(DESTDIR)$(POPHOME)/lib

diff:

clean:
	rm -f ../obj/*.o $(addprefix ../obj/,$(ALLPROGS))

../obj/db_dummy.o: db_dummy.c dbase.h
	 $(CC) $(CFLAGS) -c -o $@ $<

../obj/db_mysql.o: db_mysql.c dbase.h
	 $(CC) $(CFLAGS) -I /usr/include/mysql -c -o $@ $<

../obj/db_msql.o: db_msql.c dbase.h
	 $(CC) $(CFLAGS) -I /usr/lib/msql/include -c -o $@ $<

../obj/db_lnx.o: db_lnx.c dbase.h
	 $(CC) $(CFLAGS) -c -o $@ $<

../obj/db_pg.o: db_pg.c dbase.h
	$(CC) $(CFLAGS) -c $< -I/usr/postgres/include -o $@

../obj/dbase.o: dbase.c dbase.h
	 $(CC) $(CFLAGS) -c -o $@ $<

../obj/dbasemysql: ../obj/dbase.o ../obj/db_mysql.o
	$(CC) $(LDFLAGS) -o $@ $^ -L/usr/lib/mysql -lmysqlclient -lpthread

../obj/dbasemsql: ../obj/dbase.o ../obj/db_msql.o
	$(CC) $(LDFLAGS) -o $@ $^ -L/usr/lib/msql/lib -lmsql

../obj/dbasepg: ../obj/dbase.o ../obj/db_pg.o
	$(CC) $(LDFLAGS) -o $@ $^ -L/usr/postgres/lib -lpq

../obj/dbasedummy: ../obj/dbase.o ../obj/db_dummy.o
	$(CC) $(LDFLAGS) -o $@ $^

../obj/dbaselnx: ../obj/dbase.o ../obj/db_lnx.o
	$(CC) $(LDFLAGS) -o $@ $^ /usr/lib/lnx/esql/sql.o
