=== dbperl/Makefile ===
POPHOME=/tmp ## override!
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

DBP=$(wildcard Dbase/*.pm)
DBE=Cf.pm
DBA=$(filter-out ${DBE}, $(wildcard *.pm))
DBF=$(shell find noris Net HousingDB -name \*.pm)
DBM=$(wildcard MIME/*.pm)

V=$(shell cd ..; dpkg-parsechangelog | sed -ne 's/^Version:\s*//p')

man:
	mkdir -p $(DESTDIR)/usr/share/man/man3
	find * \( -name \*.pm -o -name \*.pod \) -print | xargs grep -l =head | while read a ; do \
		iconv -f utf8 -t latin1 $$a | grep -v "^=encoding utf8" | pod2man -c Kunde -s 3 -q "''" -r $V -v | gzip -9 > $(DESTDIR)/usr/share/man/man3/$$(echo $$a | sed -e "s/\.p\(m\|od\)$$//" -e s,/,::,g).3.gz ; \
	done

all clean:

install:
	find . -type d -print | while read d ; do \
		install -o $(OWNER) -g $(GROUP) -m 755 -d $(DESTDIR)$(POPHOME)/lib/$$d; \
		done

	fn=/tmp/inst.$$$$; \
	for i in $(DBA) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/lib/$$i ; \
	done; \
	rm -f $$fn

	fn=/tmp/inst.$$$$; \
	for i in $(DBP) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/lib/$$i ; \
	done; \
	rm -f $$fn

	fn=/tmp/inst.$$$$; \
	for i in $(DBF) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/lib/$$i ; \
	done; \
	rm -f $$fn

	fn=/tmp/inst.$$$$; \
	for i in $(DBE) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/lib/$$i ; \
	done; \
	rm -f $$fn

	fn=/tmp/inst.$$$$; \
	for i in $(DBM) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/lib/$$i ; \
	done; \
	rm -f $$fn

diff:
	-for i in $(DBA) $(DBE) $(DBP) $(DBF) $(DBM); do \
		echo Index: $(TOPDIR)/$$i; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(POPHOME)/lib/$$i; done
