=== htdocs/Makefile ===
POPHOME=/usr/pop
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

DEST=${DESTDIR}/usr/share/kunde

compile all:
	@echo Nix zu tun.

install:
	find * -iname [a-z]\* -type d -print -o -prune | \
		while read a ; do install -d ${DEST}/"$$a"; done

	fn=/tmp/inst.$$$$; \
	find * -iname [a-z]\* -o -prune | grep -v '\.js$$' | \
		while read a ; do \
			if [ -f "$$a" ] ; then \
				perl -p ../obj/varsubst <$$a >$$fn; \
				install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DEST)/"$$a" ;\
			fi ; \
		done; \
		rm $$fn
	find * -iname [a-z]\*.js | \
		while read a ; do \
			install -o $(OWNER) -g $(GROUP) -m 755 $$a $(DEST)/"$$a" ; \
		done

clean:
	# nothing to do
