=== qsu/Makefile ===
POPHOME=/tmp
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

WHAT=build_it copy_rechlauf db.rechlauf gen_tests kunde_builder rldumper sync_db test.ticketgen

V=$(shell cd ..; dpkg-parsechangelog | sed -ne 's/^Version:\s*//p')

man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	grep -l '^#!/usr/bin/perl' * | xargs grep -l ^=head | while read a ; do \
		iconv -f utf8 -t latin1 $$a | pod2man -c Kunde -s 1 -q "''" -r $V -v | gzip -9 > $(DESTDIR)/usr/share/man/man1/$$a.1.gz ; \
	done

clean:

install:
	install -o $(OWNER) -g $(GROUP) -m 755 -d $(DESTDIR)$(POPHOME)/bin
	fn=/tmp/inst.$$$$; \
	for i in $(WHAT) ; do \
		perl -p ../obj/varsubst <$$i >$$fn; \
		install -o $(OWNER) -g $(GROUP) -m 755 $$fn $(DESTDIR)$(POPHOME)/bin/$$i ; \
	done; \
	rm -f $$fn

diff:
	for i in $(WHAT) ; do \
		echo Index: $(TOPDIR)/$$i; \
		perl -p ../obj/varsubst <$$i | diff -bu - $(POPHOME)/bin/$$i || true ; \
	done

.PHONY: all all_p install install_p diff
