=== test/Makefile ===

###
### Makefile für den Xlink-POP-Datenbankbetrieb oder was auch immer.
###

POPHOME=/tmp
OWNER=nobody
GROUP=none
SHELL=/bin/bash -e -o pipefail

CFLAGS=-O2

ALL:=$(wildcard ??_*)

all:
	$(MAKE) -C .. obj/varsubst
	mkdir -p ../obj/test
	fn=/tmp/inst.$$$$; \
	for i in $(ALL) ; do \
		perl -p ../obj/varsubst <$$i >../obj/test/$$i; \
	done; \
	rm -f $$fn

clean:

V=$(shell cd ..; dpkg-parsechangelog | sed -ne 's/^Version:\s*//p')

man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	grep -l '^#!/usr/bin/perl' * | xargs grep -l ^=head | while read a ; do \
		iconv -f utf8 -t latin1 $$a | pod2man -c Kunde -s 1 -q "''" -r $V -v | gzip -9 > $(DESTDIR)/usr/share/man/man1/$$a.1.gz ; \
	done


install:

diff:
