=== debian/changelog ===
kunde (1.2009.6.23) unstable; urgency=low

  * Neue Version...
  * #10056572: Bugfix für Suche nach FQDN unter "alle Kunden"

 -- Martin H. Sluka <fany@noris.net>  Tue, 06 Oct 2009 14:52:23 +0200

kunde (1.2009.6.22) unstable; urgency=low

  * Neue Version...
  * #10056543: rt-eskalation: relative Zeiten aus QSU-Tests entfernt

 -- Martin H. Sluka <fany@noris.net>  Tue, 06 Oct 2009 14:30:57 +0200

kunde (1.2009.6.21) unstable; urgency=low

  * #547917: TT-Generator: Selektion von Kunden mit Hardware im RZ3 und
    RZ4 ermöglicht
  * #10054635: stunden-statistik: Aufruf arbeitszeit4tickets korrigiert

 -- Martin H. Sluka <fany@noris.net>  Tue, 06 Oct 2009 12:21:07 +0200

kunde (1.2009.6.20) unstable; urgency=low

  * #10055524: SQL-Fehler bei alleKunden in edit/domains, list/vrfs behoben
  * #10056295: Bei Kundentarifen "lt" - wird keine TarifId angezeigt

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 05 Oct 2009 18:20:25 +0200

kunde (1.2009.6.19) unstable; urgency=low

  * Neue Version...

 -- Martin H. Sluka <fany@noris.net>  Mon, 05 Oct 2009 11:58:01 +0200

kunde (1.2009.6.18) unstable; urgency=low

  * Neue Version...
  * #10055393: Dbase::Ticket: Verbindungs-Pool der Ticket-API nutzen

 -- Martin H. Sluka <fany@noris.net>  Mon, 05 Oct 2009 11:45:15 +0200

kunde (1.2009.6.17) unstable; urgency=low

  * #10054635: stunden-statistik: Pfad zu arbeitszeit4tickets ergänzt
  * #10050109: kunde: Bugfix wenn IP-Objekt keinen Owner hatte gabs Probleme

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 01 Oct 2009 16:14:11 +0200

kunde (1.2009.6.16) unstable; urgency=low

  * #10032057: Beispiel-Template hostextinfo-common zu gen.hostlist:
    Doppelnennungen vermeiden
  * acct.info: fehlende Tabellennamen in der Sortierung
  * #10054635: stunden-statistik: Fix Encoding-Problem ("use utf8")

 -- Martin H. Sluka <fany@noris.net>  Wed, 30 Sep 2009 18:55:36 +0200

kunde (1.2009.6.15) unstable; urgency=low

  * #465235: Dbase::Ticket->owner aka ->bearbeiter als Dbase::Person-Objekt
  * #10022069: Fehler werfen bei "l #...", wenn "..." unbekannt ist
  * #465235: rt-eskalation: "-ohne-status merged" als Default
  * #465235: rt-eskalation: Bugfix für "-ohne-bearbeiter ''"
  * #465235: rt-eskalation: Bugfix -{min,ohne}-sollzeit
  * #10054651: rt-eskalation: Workaround für Option -ohne-bearbeiter:
    + "-ohne-bearbeiter ''" clientseitig filtern
    + andere Argumente erstmal verbieten
  * #465235: rt-eskalation: Bugfix für Verwendung von
    ticket.bearbeiter.pager
  * #465235: NEU:rt-eskalation: QSU-Testjobs
    (Sind etwas experimentell, da sie insbesondere teilweise relative
    Zeitangaben erhalten, was dazu führen kann, dass zwei hintereinander
    stattfindenden Durchläufe unterschiedliche Ergebnisse ergeben.
    Mal sehen, ob das in der Praxis ein Problem ist.)
  * #10054635: Programm stunden-statistik integriert

 -- Martin H. Sluka <fany@noris.net>  Tue, 29 Sep 2009 18:16:28 +0200

kunde (1.2009.6.14) unstable; urgency=low

  * Neue Version...
  * #10022069: kunde: "l /" und "l #..." bei IP-Adressen als Sonderfälle
    betrachten, um fehlerhafte Suchkriterien (wieder) erkennen zu können

 -- Martin H. Sluka <fany@noris.net>  Tue, 29 Sep 2009 13:35:29 +0200

kunde (1.2009.6.13) unstable; urgency=low

  * Neue Version...
  * #465235: Bugfix Dbase::Ticket->kunde und ->queue

 -- Martin H. Sluka <fany@noris.net>  Tue, 29 Sep 2009 13:00:19 +0200

kunde (1.2009.6.12) unstable; urgency=low

  * #10031937: im exim-Acounting: Richtungen separat loggen

 -- Matthias Urlichs <smurf@noris.de>  Tue, 29 Sep 2009 11:35:39 +0200

kunde (1.2009.6.11) unstable; urgency=low

  * #10054329: Bugfix Dbase::Person
  * #547934: gen.hostlist-Beispiel-Template router.db-onehostgroupbydesc
    als Wrapper um router.db-bf umformuliert

 -- Martin H. Sluka <fany@noris.net>  Tue, 29 Sep 2009 10:29:45 +0200

kunde (1.2009.6.10) unstable; urgency=low

  * #10035649: Debug-Modus für process_template() via $ENV{TEMPLATE_DEBUG}
    implementiert
  * #10032057: Dbase::*-ORM-Module überarbeitet
  * #10032057: gen.hostlist:
    + Überarbeitung Beispiel-Templates auf Basis der aktuell produktiv
      verwendeten
    + Überarbeitung QSU-Tests auf Basis der aktuell produktiven Jobs
    + Verwendung von Dbase::Hardware-Objekten

 -- Martin H. Sluka <fany@noris.net>  Mon, 28 Sep 2009 17:29:16 +0200

kunde (1.2009.6.9) unstable; urgency=low

  * Neue Version...

 -- Martin H. Sluka <fany@noris.net>  Wed, 23 Sep 2009 14:05:13 +0200

kunde (1.2009.6.8) unstable; urgency=low

  * Neue Version...
  * #10032057: gen.hostlist: Zuordnungen zu Hardware-Interfaces mit
    exportieren und im Template hostextinfo-hostgroups, das jetzt
    hostextinfo-common heißt, berücksichtigen

 -- Martin H. Sluka <fany@noris.net>  Wed, 23 Sep 2009 13:55:02 +0200

kunde (1.2009.6.7) unstable; urgency=low

  * #10035476: Schönheitsfehler korrigiert wenn kein NIC-Handle angegeben ist.
  * #10035476: kunde: list/handles umgestellt auf noris::Table
  * #10033106: test.ticketgen wurde ohne POPHOME-Option aufgerufen

 -- Matthias Urlichs <smurf@noris.de>  Wed, 23 Sep 2009 13:35:02 +0200

kunde (1.2009.6.6) unstable; urgency=low

  * Neue Version...

 -- Martin H. Sluka <fany@noris.net>  Wed, 23 Sep 2009 10:30:52 +0200

kunde (1.2009.6.5) unstable; urgency=low

  * Neue Version...

 -- Martin H. Sluka <fany@noris.net>  Wed, 23 Sep 2009 10:27:55 +0200

kunde (1.2009.6.4) unstable; urgency=low

  * #10033106: Bugfix qsu/test.ticketgen (Ersetzung @POPHOME@)

 -- Martin H. Sluka <fany@noris.net>  Wed, 23 Sep 2009 10:26:43 +0200

kunde (1.2009.6.3) unstable; urgency=low

  * #10050109: kunde: Vermeidung von redefined-Warnung bei der Ausgabe
    von RIPE-Records
  * #10050109: kunde: Verbesserte Vermeidung von fehlerhaften Records
  * #465235: Nachbesserungen rt-eskalation:
    + Sollzeitauswertung
    + return statt next
  * #10031937: Bei Datenbankfehler das Statement mitloggen
  * #10015458: Test für: FQDN fehlt bei IP-Adresslisten 

